Android Question DJI DRONE Phantom 4 Pro + don't connect

Discussion in 'Android Questions' started by Roberto P., May 6, 2018.

Similar threads

B4A Library DJI Drones
B4J Library [B4X] Ryze/DJI Tello drone SDK -app
B4A Question DRONE: DJI Tello
B4A Question read bar-code width DJI Drone
B4A Question DJI Drones read video info
  1. Roberto P.

    Roberto P. Well-Known Member Licensed User

    Hi

    I'm trying to use the example posted by Erel on drones, but the app can not connect with the drone. Precise that I use Phantom Pro + that has the integrated device.

    I registered the app and got the key.

    Can anyone tell me why or where am I wrong?

    I enclose log and project.


    thank you
     

    Attached Files:

  2. Erel

    Erel Administrator Staff Member Licensed User

    What is Phantom Pro? Do you mean Phantom 4 Pro?
     
  3. Roberto P.

    Roberto P. Well-Known Member Licensed User

  4. Erel

    Erel Administrator Staff Member Licensed User

    Which integrated device?

    How is the Android device connected to the remote controller?
     
  5. Roberto P.

    Roberto P. Well-Known Member Licensed User

    Yes the device in embedded into remote controller

    REMOTE CONTROLLER WITH BUILT-IN SCREEN

    And not have a usb connection
     
  6. Erel

    Erel Administrator Staff Member Licensed User

    I'm not sure that the integrated device will work with other apps.

    Try to install Litchi and see whether it works.
     
  7. Roberto P.

    Roberto P. Well-Known Member Licensed User

    I tried to install other apps and it works regularly.


    What is it Litchi?

    thank
     
  8. Erel

    Erel Administrator Staff Member Licensed User

    Litchi is a popular alternative app for DJI drones. Seems like it is not supported: https://phantompilots.com/threads/p4-pro-plus-and-litchi.127348/
    This means that the built-in controller is not open to third party apps that control the drone.

    When I wrote that you should install Litchi I thought that it is free app. Apparently it is not.
     
  9. Roberto P.

    Roberto P. Well-Known Member Licensed User

    ok Erel,
    but I need to be able to make my application work..

    thanks
     
  10. DonManfred

    DonManfred Expert Licensed User

  11. Roberto P.

    Roberto P. Well-Known Member Licensed User

  12. DonManfred

    DonManfred Expert Licensed User

    wrong. Only The Phantom 4 Pro but Not the Phantom 4 Pro PLUS
     
    Erel likes this.
  13. Roberto P.

    Roberto P. Well-Known Member Licensed User

    for me it should be included in version 4. I wrote to DJI support.
    thank you
     
  14. DonManfred

    DonManfred Expert Licensed User

    Keep us informed.
     
  15. Roberto P.

    Roberto P. Well-Known Member Licensed User

    of course! bye
     
  16. Roberto P.

    Roberto P. Well-Known Member Licensed User

    Hi,
    this is the answer of DJI support:


    <<
    According to the information you provided,
    In order to help you better, I would like to consult you about some relevant information.You can also check with the following Suggestions.
    1.Can you tell me which demo and SDK version you are running?
    2.Your problem is that the device is not activated and you can use this demo to activate your device. https://github.com/DJI-Mobile-SDK-Tutorials/Android-ActivationAndBindingDemo
    https://developer.dji.com/mobile-sdk/documentation/android-tutorials/ActivationAndBinding.html
    3.Please check if your package name matches your developer account APP
    >>

    regards
     
  17. DonManfred

    DonManfred Expert Licensed User

    Did you tried to use the Demo to register your product?
    If you do not have the apk: You need to compile it yourself using android studio. Make sure to add your SDK Key.

    If you are unable to compile it: You can give me your SDK Key and i´ll compile the APK for you.

    I already done this but then i saw that the app needs a SDK Key...
     
  18. Roberto P.

    Roberto P. Well-Known Member Licensed User

    Hi

    this is the official response from DJI:

    <<SDK does not support the Phantom 4 PRO Plus development at present.
    Our MobileSDK can support the Phantom 4 PRO.
    >>

    unfortunately I was screwed! I bought the only product version where sdk does not work. I also asked for support before buying the drone.

    I hope that my problem can serve to prevent others from happening.

    Regards
     
  19. Roberto P.

    Roberto P. Well-Known Member Licensed User


    thank you Dom Manfred for your availability.

    I ask you where can I download the last jar version of DJI (4.5.1)

    regards
     
  20. DonManfred

    DonManfred Expert Licensed User

Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice